  @echo off
  :: add specified directory to the path
  :: uses M.EXE v4.05 or later
  :: Gary Mays 10/10/95
  :: will query for the directory if not specified on the commmand line as
  ::      addpath directory
  ::
  :: batch file lines can only be 127 characters, so that limits the
  :: path to 122 characters after the "PATH ". M.EXE can work with
  :: 255 character strings, so it can make a path greater than 122
  :: characters if the path is referenced via a macro instead of %path%
  :: to prevent the batch file line being greater than 127 characters.
  if %1`==` goto get
  m/set p=[ucase`%1]
  goto check
  :get
  m/set/halt5 p=[ucase`[?Enter directory to add to the path]]
  if errorlevel 5 goto abort
  if %p%`==` goto fin
  :check
  if exist %p%\nul goto set
 m/set x=[t`[len`[e`p]]`eq`3][[pos`[e`p]`A:\B:\C:\D:\E:\F:\G:\H:\I:\J:\K:\L:\M:\N:\O:\P:\Q:\R:\S:\T:\U:\V:\W:\X:\Y:\Z:\]`gt`0]
  if %x%==TT if exist %p%nul goto set
  m/nul [msgpause`The directory "%p%" does not exist]
  goto get
  :set
  :: test if already in path
  m/set path=[ucase`[e`path]]
  m/set x=[test`[pos`[e`p];`[e`path]];`gt`0]
  if %x%`==F` goto set10
  m/nul [msgpause`The directory "%p%" is already in the path]
  goto get
  :set10
  :: use similiar line to make path > 127 chars in your autoexec.bat:
  m/set path=[e`path];[e`p]
  path
  goto fin
  :abort
  echo Canceled
  :fin
  set p=
  set x=

