  @echo off
  if not %1`==` goto chgit
  echo CHGALL.BAT v1.00 6/11/96 Gary A. Mays
  echo Changes strings in textfiles. Requests a list of one or more
  echo ambiguous file names and the change strings. Uses M.EXE v4.05
  echo or later available as MACRO from 1:261/1191 after 6pm
  echo US eastern time.
  :: set fl with a list of files to process
  :getinfo
  m/set fl=[?Enter list of one or more files to change (Ambiguous file names OK)`[e`fl]]
  if errorlevel 5 goto abort
  m/set m=[len`[e`fl]]
  if %m%==0 goto abort
  :: verify file names
  m [e`fl]>change.tmp
  :verify
  m/set [p` `[e`fl]`f`fl]m=[afn`[e`f]]
  if %f%`==` goto done
  if %m%==T goto verify
  m/nul [msgpause`[e`f] - File(s) not found]
  m/set fl=[@change.tmp]
  goto getinfo
  :done
  :: restore file list
  m/set fl=[@change.tmp]
  :: solicit the change strings
  m/set from=[?String to be changed`[e`from]]
  if errorlevel 5 goto abort
  m/set to=[?String to change to`[e`to]]
  if errorlevel 5 goto abort
  m/set [msg`Changing all /[e`from]/ to /[e`to]/ in /[e`fl]/]m=[menu`Proceed`Yes`No]
  if not %m%`==Y` goto getinfo
  :: calls self, so this .bat should be in same dir or in path
  for %%x in (%fl%) do call %0 %%x
  goto cleanup
  ::
  :chgit
  echo Processing %1, changing `%from%` to `%to%`
  m [chg`[e`from]`[e`to]`[]]<%1 >change.tmp
  copy change.tmp %1 >nul
  goto return
  :cleanup
  erase change.tmp >nul
  :abort
  set m=
  set fl=
  set f=
  set from=
  set to=
  :return

