@echo off
:: ECHOS.BAT 9/4/95 Gary Mays
::
:: ECHOS.BAT v0.2 Add echoareas from BACKBONE.NA formatted echolists. Drop
:: echoareas from SQUISH.CFG listing. Browse echolists and SQUISH echoareas.
::
:: updated 8/13/96 - needs m.exe 4.05 or later
::
:: uses M.EXE, CHOOSE.EXE, GETK.EXE, and SELECT.EXE by Gary Mays
:: These programs are all in the M.EXE archive.
:: Freq MACRO from 1:261/1191 to get M405.ZIP or later (6pm-8am US East).
:: or wait until the BFDS sites have M405.ZIP.
::
:: * choose from configured echolists in ECHOLIST.CFG and generate seal
::   add request. The format of the configuration is
::       complete-path-to-backbone.na-list uplink-address
::   example: d:\file\backbone\backbone.na 1:261/3090
:: * choose from squish.cfg and generate seal drop request
::
  m/set dir=[directory`]
:: the next six lines are used by file distribution routines:
  set v=02
  if %1'==/VERSION' goto version
  if %1'==/version' goto version
  goto start
:version
  echo ECHOS%v% >ECHOS.ver
  goto fin
:start
::
:: check free environment space
  m/set d=[[efree]`gt`200]
  if %d%==T goto continue
  echo.
  echo ECHOS.BAT
  echo The DOS environment does not have enough free space.
  echo Add
  echo        SHELL=C:\DOS\COMMAND.COM C:\DOS\ /E:1024 /p
  echo to the CONFIG.SYS file and re-boot, or run this batch file with
  echo        command /e:1024 /c echos.bat
  echo or exit from a shell to DOS and try again.
  echo.
  goto fin
:continue
::
:: *ALL* lines prefixed with ========== need attention......
::
:: ========= set S=complete path to squish.cfg
  SET S=f:\SQUISH\SQUISH.CFG
::  OR SET S=%SQUISH%
::
:: ========= set add=your net address for adding local areas
::           this address must be configured in Seal as an
::           echo source
  SET ADD=1:261/1191.0
::
:: ========= set cfg=complete path to ECHOLIST.CFG
  SET CFG=F:\BBSUTIL\ECHOLIST.CFG
::
:: ECHOLIST.CFG is simply a list of BACKBONE.NA formatted lists followed
:: by your SEAL configured uplinks fidonet address. Here is what I use:
::
::   D:\FILE\BACKBONE\BACKBONE.NA 1:261/3090
::   D:\FILE\BACKBONE\FIDONET.261 1:261/3090
::   D:\FILE\BACKBONE\LOCBONE.NA 1:261/1191
::
:: ========= set _ed_ to the name of your editor
  SET _ED_=ED
;:
:main
  m/set m=[menu`EchoAreas for SEAL`Add from EchoLists`add Local`Drop Area`Browse`Configure`Quit to DOS]
  goto main_%m%
:main_
  goto main
:main_q
  goto fin
:main_l
  cls
  echo.
  echo To create a local area:
  echo.
  echo * Select 'Configure', select 'SEALCFG' and add %add% as an echo
  echo   source. Where %add% is your Fidonet node address. SEALCFG should
  echo   be in the directories PATH.
  echo.
  echo * Select 'Configure', select 'ECHOLIST.CFG' and add something like:
  echo   D:\FILE\BACKBONE\LOCBONE.NA %ADD%
  echo.
  echo * Select 'Configure', select 'echoAreas List', choose the
  echo   LOCBONE.NA list, and add the new area tag and description.
  echo.
  echo * Select 'Add from EchoLists', choose the LOCBONE.NA list and
  echo   select the local area.
  echo.
  getk ECHOS.BAT: Press any key to continue>nul
  cls
  goto main
:main_c
:conf
  m/set m=[menu`Configure`ECHOLIST.CFG`SQUISH.CFG`sealCfg`echoAreas List]
  goto conf_%m%
:conf_
  goto main
:conf_e
  %_ed_% %cfg% /title:"ECHOLIST.CFG: list of 'BACKBONE.NA-formatted-list uplink-address'"
  goto conf
:conf_s
  %_ed_% %s%
  goto conf
:conf_c
  f:
  cd \seal
  sealcfg
  goto conf
:conf_a
  set e=
  select /n/t:"Select Echolist to edit, Esc to Cancel" <%cfg% | m/set e=[ucase`[]]
  m/set x=[len`%e%]
  if %x%==0 goto conf
  m/nul [p` `[env`e]`an`f]
  %_ed_% %an%
  goto conf
:main_a
:add
  set e=
  select /n/t:"Select Echolist for Add of echo, Esc to Cancel" <%cfg% | m/set e=[ucase`[]]
  m/set x=[len`%e%]
  if %x%==0 goto main
  m/nul [p` `[env`e]`an`f]
  if exist %temp%\_a_ erase %temp%\_a_
  set a=
  m/set e=[fname`%an%]
  select <%an% /n/t:"Select %e% EchoArea with Enter, Esc to Quit">%temp%\_a_
  if errorlevel 5 goto add
  m/set x=[pos`SYSOP`[ucase`[@%temp%\_a_]]]
  if not %x%==0 m/nul [menu`Notice!`The selected area is for SysOps only]
  m/nul [p` `[]`a`nul]<%temp%\_a_
  m/set m=[menu`Verify Add of %e% EchoArea %a%`Yes`No]
  if not %m%`==Y` goto add
  m/nul [msgdelay`SEAL ADD E %a% %f%`2222]
  SEAL ADD E %a% %f%
  goto add
:main_d
  if exist %temp%\_a_ erase %temp%\_a_
  set a=
  find /i "EchoArea " <%s% | m [if`[pos`EchoArea`[]]`eq`1][sw`[]`2]>%temp%\_a_
  select <%temp%\_a_ /n/s:1/t:"Select SQUISH.CFG EchoArea to drop">%temp%\b
  if errorlevel 5 goto main
  m/nul [p` `[]`a`nul]<%temp%\b
  if %a%'==' goto main
  m/set m=[menu`Drop SQUISH.CFG EchoArea %a%`Yes`No]
  if not %m%`==Y` goto main
  m/nul [msgdelay`SEAL DROP E %a%`2222]
  SEAL DROP E %a%
  goto main
:main_b
:brow
  m/set m=[menu`Browse`Echolists`SQUISH.CFG EchoAreas]
  goto brow_%m%
:brow_
  goto main
:brow_e
  select /n/t:"Select Echolist to browse, Esc to Cancel" <%cfg% | m/set e=[ucase`[]]
  m/set x=[len`%e%]
  if %x%==0 goto brow
  m/set [p` `[e`e]`an`f]e=[fname`[e`an]]
  choose <%an% >nul /n/t:"Browsing %e% EchoAreas"
  goto brow
:brow_s
  if exist %temp%\_a_ erase %temp%\_a_
  find /i "EchoArea " <%s% | m [if`[pos`EchoArea`[]]`eq`1][sw`[]`2]>%temp%\_a_
:: echo s:"%s%"  temp:"%temp%"
:: pause
  choose /n/s:1/t:"Browsing SQUISH.CFG EchoArea"<%temp%\_a_>nul
  goto brow
:fin
  if exist %temp%\_a_ erase %temp%\_a_
:: ========= the next line tosses seal messages from your inbound
  if exist d:\inbound\*.pkt hstart "Tossing Seal message(s)" /fs /b /c squishp in out squash link
  m/set d=[fdrive`[e`dir]]
  %d%
  cd %dir%.
  set _ed_=
  set cfg=
  set a=
  set an=
  set k=
  set e=
  set f=
  set p=
  set s=
  set x=
  set m=
  set d=
  set add=
  set v=

