@echo off
:: ===== set the location of the pick list
  set l=d:\util\cdl.lst
  if not %1.==/?. goto BEGIN
  echo CDL.BAT Gary Mays 8/23/96  Updated  3/29/97
:: uses m.exe, FP.EXE, and select.exe from the M405.ZIP archive or later
:: available as MACRO from fidonet 1:261/1191
  echo CDL str
  echo CDL changes to the directory that is selected from a list.
  echo When str is specified, then CDL changes to the first directory in the
  echo list that matches the first characters in the final directory name.
  echo Example: CDL SQ   will select a CDL.LST entry of F:\SQUISH
  echo CDL ADDPATH PATH
  echo Appends PATH to the CDL list.
  echo See also: CDD Changes both the drive and directory in one command.
  echo           CDFP find a file in the path and change to its directory
  echo           CDFF find a file and change to its directory
  echo           CDP change to a directory in the PATH
  goto fin
::
:BEGIN
:: check for the str parameter
  if %1.==. goto menu_s
  m/set n=[ucase`%1]
  if %n%.==ADDPATH. goto add
  set p=
  m/set [if`[e`p]`eq`][if`[pos`[e`n]`[ucase`[fname`[]]]]`eq`1]p=[]<%l%
  if not %p%.==. goto menu_s10
  m/nul [msgpause`%n% does not begin a final directory path name in %l%]
  goto menu
:add
  m/set p=[ucase`%2]
  if %p%.==. goto missing
  goto menu_s10
:missing
  m/nul [msgpause`Expected CDL ADDPATH PATH, where PATH is a valid drive:path]
:menu
  m/set m=[menu`CDL`Add`Edit`Select`Help`Quit]
  goto menu_%m%
:menu_h
:: this should always locate this batch if it is in the current
:: directory or in a PATH directory:
  fp %0.bat /f /first /set:b
  if errorlevel 1 fp %0 /f /first /set:b
  ECHO.
  if %b%.==. goto menu_h10
  call %b% /?
  set b=
  pause
  goto menu
:menu_h10
  echo %0 is not in the current directory or the PATH
:menu_a
  m/set p=[ucase`[?New Path]]
  if errorlevel 5 goto menu
  echo %p%>>%l%
  goto menu
:menu_e
  ed %l%
  goto menu
:menu_s
  set p=
  select /t"Select a Path - [ESC] for Menu" /n /set:p <%l%
  if errorlevel 5 goto menu
  if %p%.==. goto menu
:menu_s10
  m/set x=[isdir`%p%]
  if %x%==T goto menu_s20
  beep
  m/nul [msgdelay`The directory "[ucase`[e`p]]" does not exist`1500]
  if %1.==. goto menu
  goto fin
:menu_s20
  m/nul [set`d=[fdrive`[e`p]]] [if`[right`[e`p]`1]`eq`/] [set`p=[e`p].]
  %d%
  cd %p%
  if %n%.==ADD. echo %p%>>%l%
  goto fin
:menu_
:menu_q
:fin
  set d=
  set p=
  set n=
  set x=
  set l=

